> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md).

# Proxy configuration

## **How to use**

To have the SDK use your proxy to make requests, you must enter the settings to be used through an instance of the **`CafProxySettings`** class sent as a parameter to the **`.setProxySettings`** method in the builder of any of our SDKs:

```swift
let proxySettings = CafProxySettings(hostname: hostname, port: port)
    .setAutentication(user: user, password: password)

let documentDetector = DocumentDetector.CafBuilder(mobileToken: mobileToken)
    .setProxySettings(proxySettings: proxySettings)
    .build()
```

## Constructor method

<table><thead><tr><th width="159"></th><th width="124.33333333333331"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><strong><code>hostname</code></strong></td><td><code>String</code></td><td>Sets the domain or IP address of the proxy service</td></tr><tr><td><strong><code>port</code></strong></td><td><code>int</code></td><td>Sets the port to be used</td></tr></tbody></table>

## Optional Methods

### `setAuthentication(String user, String password)`

Tells you the authentication parameters of your proxy, if any.

<table><thead><tr><th width="226"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><strong><code>user</code></strong></td><td>Username to be used for authentication</td></tr><tr><td><strong><code>password</code></strong></td><td>Password to be used for authentication</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
